@extends('layouts.app')

@section('content')
<div class="container-fluid">

    <h1>{{ $label }}</h1>

    <p>
        Algorithm: {{ $detector->class_name }}
        <a class="btn btn-sm btn-primary" target="_blanck" href="{{ $detector->javadoc() }}">
            <i class="fas fa-info-circle"></i> Help
        </a>
    </p>
    <button type="button" class="btn btn-sm btn-primary" id="collapsible">
        <i class="fa fa-list" aria-hidden="true"></i> Agent Information
    </button>
    <p></p>
    <div class="content" id="agentInfo" style="display:none; border:thin solid black">
        <p>Activation label: <code>{{ $detector->trigger_label }}</code></p>
        <p>Min activation interval: {{ $detector->trigger_interval }} seconds</p>
        <p>Parameters:</p>
        <ul>
            @foreach ($detector->parameters as $key => $value)
            <li>{{ $key }} : {{ $value }}</li>
            @endforeach
        </ul>
    </div>

    <p></p>

    <h2>Ranking</h2>

    <p>Generated at <b>{{ $now->toISOString() }}</b></p>

    <p>
        <i class="fas fa-search"></i>
        <select name="select" id="selectFilter">
            <option value="subject">Subject</option>
            <option value="score">Score</option>
        </select>
        <input type="text" id="filterInput" onkeyup="filterFunction()" placeholder="Filter shown data...." size="100%">
    </p>

    <p>
        <a href='{{ action('MarkController@rankingCSV', ["label" => $label]) }}'
           class='btn btn-primary'>
            <i class="fas fa-download"></i> Download as .csv
        </a>

        <a href='{{ action('MarkController@rankingJSON', ["label" => $label]) }}'
           class='btn btn-primary'>
            <i class="fas fa-download"></i> Download as .json
        </a>

        <a id="fullscreen_bubble_button" href='{{ action('MarkController@bubble', ["label" => $label]) }}'
           class='btn btn-primary'>
            <i class="fas fa-expand"></i> Fullscreen bubble graph
        </a>

        <a id="fullscreen_radar_button" href='{{ action('MarkController@radar', ["label" => $label]) }}'
           class='btn btn-primary'>
            <i class="fas fa-expand"></i> Fullscreen radar graph
        </a>
    </p>

    <table class="table" id="evTable">
        <tr>
            <th>Subject</th>
            <th>Score</th>
            <th>Time</th>
            <th></th>
        </tr>

        @foreach ($evidences as $evidence)
        <tr>
            <td>
                {{ $evidence->subject() }}
            </td>
            <td>{{ $evidence->score }}</td>
            <td>{{ $evidence->timeForHumans() }}</td>
            <td class="text-right d-print-none">
                <a href="/app/evidence/{{ $evidence->id }}"
                   class="btn btn-primary btn-sm">
                    <i class="fas fa-search"></i> Inspect
                </a>
            </td>
        </tr>
        @endforeach
    </table>

    <script>
        var coll = document.getElementById("collapsible");
        coll.addEventListener("click", function() {
            this.classList.toggle("active");
            var content = document.getElementById("agentInfo");
            if (content.style.display === "block") {
            content.style.display = "none";
            } else {
            content.style.display = "block";
            }
        });

        @include('scripts.helper-functions')
    </script>

</div>
@endsection